Subject: [Sip] DNS support for Sip 3261 stack

From: Ramalakshmi M <[email-masked]>
Date: Mon, 18 Oct 2004 19:09:03 +0530

Hi All,

I want to implement DNS support for SIP 3261stack.
Can you please provide me some details regarding this.
    Which RFCs i should refer ?
    Any open source implementations will support  DNS in SIP 3261 Stack?
    Any application available on the net will support DNS so that i can  
i see the log of those packets ?

Right now i am referring,
     RFC 2782 - A DNS RR for specifying the location of services (DNS SRV)
     RFC 3263 - Session Initiation Protocol (SIP): Locating SIP Servers
     RFC 2168 - Resolution of Uniform Resource Identifiers using the 
Domain Name System

Thanks in Advance.

Regards,
Ramalakshmi.

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Anurag Kabra <[email-masked]>
Date: Tue, 19 Oct 2004 21:47:42 +0530

Hi

     I need to clear few of my doubts regarding call transfer, 

In a scenario of A, B and C - Unattended Transfer (Blind Transfer)

A = transferor
B = transferee
C = transfer target

1. There is a call set up between A and B
2.  A need to transfer to C - A puts the RTP session on Hold with Re-INVITE 
and sends REFER with refer-to C, 
3. B on getting refer needs to put audio streaming on hold and so sends  
Re-INVITE!! -- (DOUBT - is this step right)
4. B sends NOTIFY with subscription-state = active and expires to A
5. B now INVITES C 
6. On getting response its sends a NOTIFY to A with subscription-state = 
terminated
(Need to know if the REFER expires because of expires in NOTIFY what can be 
done ie if we get a time out on A side)
7. Now A sends a BYE to B
(What to do if B wants to terminate the dialog with CANCEL or BYE)

How can we differentiate Attended Transfer and Blind Transfer in the 
application??

Can anyone tell me free sip UA implementing Call Transfer?

Please do let me know any of your views. Please correct me if i am wrong 
anywhere. 

Best Regards
  Anurag.